pcm_null.c File Reference

PCM Null Plugin Interface. More...

Include dependency graph for pcm_null.c:

## Functions

int | snd_pcm_null_open (snd_pcm_t **pcmp, const char *name, snd_pcm_stream_t stream, int mode)
| Creates a new null PCM. More...
int | _snd_pcm_null_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new Null PCM. More...

## Detailed Description

PCM Null Plugin Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org

Date
  2000-2001

## Function Documentation

## _snd_pcm_null_open()

int _snd_pcm_null_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new Null PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with Null PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## snd_pcm_null_open()

int snd_pcm_null_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new null PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.